Skip to main content
PATCH
/
v2
/
markets
/
{marketId}
Update a market
curl --request PATCH \
  --url https://rest.forestreet.com/v2/markets/{marketId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "headerImage": "<string>"
}
'
import requests

url = "https://rest.forestreet.com/v2/markets/{marketId}"

payload = {
"name": "<string>",
"description": "<string>",
"headerImage": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', headerImage: '<string>'})
};

fetch('https://rest.forestreet.com/v2/markets/{marketId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>"
}
{
"success": false,
"errorCode": "INVALID_INPUT",
"message": "Bad Request"
}
{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this market"
}
{
"success": false,
"errorCode": "NOT_FOUND",
"message": "Not Found - Market not found"
}
{
"success": false,
"errorCode": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}

Authorizations

x-api-key
string
header
required

Pass a static API key for every request, provided by your customer support.

Path Parameters

marketId
integer
required

ID of the market to update.

Required range: x > 0

Body

application/json
name
string

Updated name of the market.

description
string | null

Updated description of the market. Can be set to null to clear the description.

headerImage
string

Updated URL to the market's header image.

Response

Update a market in collection response

success
boolean
required

Indicates whether the update operation was successful.

message
string
required

Optional message providing additional information about the update operation.